import * as React from 'react';
export function useWindowEventListener(eventName, handler) {
    const savedHandler = React.useRef();
    React.useEffect(() => {
        savedHandler.current = handler;
    }, [handler]);
    React.useEffect(() => {
        const eventListener = (event) => savedHandler.current(event);
        window.addEventListener(eventName, eventListener);
        return () => window.removeEventListener(eventName, eventListener);
    }, [eventName]);
}
//# sourceMappingURL=useWindowEventListener.js.map